Package com.ocient.jdbc.proto

# Interface PlanProtocol.MakeVectorOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.MakeVectorOperator`, `PlanProtocol.MakeVectorOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.MakeVectorOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getOutName()` | The name of the new vector column
`com.google.protobuf.ByteString` | `getOutNameBytes()` | The name of the new vector column
`String` | `getVectorCols​(int index)` | The input columns that make up the vector
`com.google.protobuf.ByteString` | `getVectorColsBytes​(int index)` | The input columns that make up the vector
`int` | `getVectorColsCount()` | The input columns that make up the vector
`List<String>` | `getVectorColsList()` | The input columns that make up the vector

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getVectorColsList

List<String> getVectorColsList()

    The input columns that make up the vector

`repeated string vectorCols = 1;`

### getVectorColsCount

int getVectorColsCount()

    The input columns that make up the vector

`repeated string vectorCols = 1;`

### getVectorCols

String getVectorCols​(int index)

    The input columns that make up the vector

`repeated string vectorCols = 1;`

### getVectorColsBytes

com.google.protobuf.ByteString getVectorColsBytes​(int index)

    The input columns that make up the vector

`repeated string vectorCols = 1;`

### getOutName

String getOutName()

    The name of the new vector column

`string outName = 2;`

### getOutNameBytes

com.google.protobuf.ByteString getOutNameBytes()

    The name of the new vector column

`string outName = 2;`